import { Apollo } from "../../../apollo";
import * as routes from "./routes/index.js";
import * as query from "./query/index.js";

class Handler {
  constructor(meta) {
    const neededKeys = ["authorization", "username"];

    if (
      meta === undefined ||
      !neededKeys.every(key => Object.keys(meta).includes(key))
    ) {
      throw new Error("An error occurred due to an invalid meta object!");
    }
    this.meta = meta;
    this.apollo = new Apollo(routes.GITHUB_API_V4_URL, {
      headers: {
        authorization: `${meta.authorization.prefix} ${meta.authorization.token}`
      }
    });
  }

  async get_profile() {
    let response;
    console.log(query.getProfile());
    try {
      response = await this.apollo.send(query.getProfile(), {
        username: this.meta.username
      });
    } catch (err) {
      throw new Error("An error occurred during querying..: " + err.message);
    }

    return {
      data: response
    };
  }
}

export { Handler };
