import { Handler as APIHandler } from "./api";

class Github {
  constructor(user) {
    const neededKeys = ["server", "authorization", "username"];

    if (user === undefined || !neededKeys.every(key => Object.keys(user).includes(key))) {
      throw new Error("An error occurred due to an invalid user object!");
    }
    // TODO: Check for valid values?

    this.user = user;

    this.handler = new APIHandler({
      authorization: user.authorization,
      username: user.username
    });
  }

  profile() {
    const p = this.handler.get_profile();
    return p;
  }
}

export { Github };
